Bug 1474787 - Reduce Initial Setup Redundancy
Reduce Initial Setup Redundancy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Catanzaro
ChangeAcceptedF28, SystemWideChange
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 07:50 EDT by Jan Kurik
Modified: 2018-05-02 08:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-02 08:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2017-07-25 07:50:18 EDT
This is a tracking bug for Change: Reduce Initial Setup Redundancy
For more details, see: https://fedoraproject.org//wiki/Changes/ReduceInitialSetupRedundancy

Currently there is a high level of redundancy between the Anaconda installer and gnome-initial-setup. This change aims to eliminate these redundancies and streamline the initial user experience in Fedora Workstation.
Comment 1 Michael Catanzaro 2017-08-02 17:21:08 EDT
This missed the testable deadline and it is a major change, so I think it would be better to do it in rawhide after F27 is branched. i.e. I plan to push this out to F28.
Comment 2 Jan Kurik 2017-08-10 02:18:10 EDT
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan
Comment 3 Michael Catanzaro 2017-08-10 10:57:57 EDT
(In reply to Michael Catanzaro from comment #1)
> This missed the testable deadline and it is a major change, so I think it
> would be better to do it in rawhide after F27 is branched. i.e. I plan to
> push this out to F28.
Comment 4 Jan Kurik 2017-08-14 10:35:52 EDT
Deferring. Please resubmit the Change proposal for review to Change wrangler once this is ready.

For more info check https://pagure.io/fesco/issue/1760#comment-457211
Comment 5 Jan Kurik 2018-01-22 14:11:22 EST
Approved by FESCo for F28: https://pagure.io/fesco/issue/1803
Comment 6 Jan Kurik 2018-02-20 09:10:09 EST
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.
Comment 7 Fedora End Of Life 2018-02-20 10:38:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 8 Michael Catanzaro 2018-02-20 11:39:02 EST
This change should be testable upon the next successful live image build. Unfortunately, I believe there has not been a successful live image build since these changes went in.
Comment 9 Jan Kurik 2018-03-06 03:58:08 EST
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 10 Michael Catanzaro 2018-03-06 08:13:23 EST
Note: change will be QA-able once anaconda is fixed to start. (It's been a long time since it has been possible to start anaconda on a Workstation live image.)
Comment 11 Adam Williamson 2018-03-09 20:52:23 EST
So, Change is now in and basically working.

I am very unhappy about one consequence of this, though. The Change claims:

"Language and Keyboard Layout

These panels will be removed from gnome-initial-setup. They must already be configured in Anaconda for the installer to be usable, so there is no point in displaying them again in gnome-initial-setup."

This is not truly correct, however. There *is* a very important "point" in "displaying them again in gnome-initial-setup" for a rather large constituency of users: those who use input methods. (This includes nearly all of the several billion people in China, along with Japan, Korea, and I think some other places). Anaconda cannot configure input methods. gnome-initial-setup can. Previously, if you needed to use an input method, you could select it easily in g-i-s right after install, and it would be working as soon as you got to a desktop. With this change, you cannot: you are stuck with only being able to type whatever's possible from the keyboard layout anaconda selected, and you have to know to go to the Control Center to configure the input method which will actually let you input characters properly.

This is a major usability hit for folks who use input methods.
Comment 12 Michael Catanzaro 2018-03-09 21:06:33 EST
Yes, that is a problem. We discussed it last week [1]. I believe Jens is working on logic to only conditionally skip that page in gnome-initial-setup depending on whether we think the locale is likely to require input method configuration, but I don't know if it will be ready in time for beta.

[1] https://meetbot.fedoraproject.org/fedora-meeting-2/2018-02-26/workstation.2018-02-26-14.01.log.html

It's really not good that anaconda is missing input method support, but if we want to reduce the redundancy we have to remove it from one place or the other, and surely keyboard layout has to be set as soon as possible (e.g. before disk setup). We *could* keep it in both places and just let it be redundant, but if we do that, we should probably keep the redundant language selection page in gnome-initial-setup too... and at that point, I would be concerned that FESCo might think we were not implementing the change faithfully. We could always ask FESCo for an opinion, of course....
Comment 13 Michael Catanzaro 2018-03-09 21:07:16 EST
(In reply to Michael Catanzaro from comment #12)
> but if we want to reduce the redundancy we have to remove it from one place or the

By "it," I meant keyboard layout selection.
Comment 14 Adam Williamson 2018-03-09 21:51:17 EST
well, language selection is different, in that - AFAIK at least - that one really *is* redundant, i.e. g-i-s doesn't have any capabilities there that anaconda doesn't have.
Comment 15 Michael Catanzaro 2018-03-12 09:58:12 EDT
(In reply to Adam Williamson from comment #14)
> well, language selection is different, in that - AFAIK at least - that one
> really *is* redundant, i.e. g-i-s doesn't have any capabilities there that
> anaconda doesn't have.

See https://bugzilla.gnome.org/show_bug.cgi?id=794166. I'm not sure if this will be ready for beta, but I think we will have it in place (at least downstream) in time for GA.
Comment 16 Adam Williamson 2018-03-29 18:25:57 EDT
Something I noticed today: this Change is so far not applied to Fedora Atomic Workstation. The FAW installer has the username and root spokes, and the FAW g-i-s is full-fat (it has the keyboard screen etc).

So I guess we should consider whether we *want* to apply this change to FAW or not, and if so, figure out how.
Comment 17 Adam Williamson 2018-03-29 19:25:46 EDT
More info on that: we think the *reason* the Change isn't applied to FAW is that the file we install that tells g-i-s to skip some pages goes into /var , and /var isn't managed by OStree. Which apparently means that, on OStree installs, that file just disappears, or something. So an obvious way to fix that (assuming we *do* want the change to apply to FAW) is to put the file somewhere OStree *does* manage.
Comment 18 James Hogarth 2018-04-03 07:10:44 EDT
What impact is this meant to have on kickstart installs?

I have an automated text based install that's now failing, when it worked in many previous Fedora releases.

There's nothing in F28 common bugs about the changes for kickstart and nothing in the changes page on the wiki for this about changes to options or the anaconda kickstart changes page: https://fedoraproject.org/wiki/Anaconda/Changes

Including this in my kickstart cause it to fail with "unknown argument: P455w0rd"

user --name localuser --plaintext P455w0rd

This definitely worked with F27 as I only changed the relver information between the two releases to test.

I don't consider this a blocker in any way ... as the pykickstart documentation does seem to indicate --password is needed still (--plaintext only declares the password to require hashing) but it is a change in behaviour that might catch people out as this syntax has worked since at least F22 (checking my old kickstart files) and EL7 accepts it too.

To confirm this does work for me:

user --name localuser --plaintext --password P455w0rd

Full kickstart tested: https://github.com/hogarthj/libvirt_scripts/blob/master/kickstarts/f28-ks.cfg
Comment 19 Michael Catanzaro 2018-04-03 13:20:58 EDT
(In reply to James Hogarth from comment #18)
> What impact is this meant to have on kickstart installs?

Unless you are using the Workstation live kickstart (which it looks like you are not), nothing will write out the Anaconda config file and there will be no change in Anaconda behavior. So the impact should be nothing. I would report a new bug for your problem.
Comment 20 Adam Williamson 2018-04-09 19:50:01 EDT
For the record, in relation to comments 16 and 17, the g-i-s screen suppression part of the Change is now applied to FAW installs as well, since gnome-initial-setup-3.28.0-5.fc2{8,9}. The anaconda parts of the Change are still not (yet?) applied to FAW installs and Workstation network installer image installs.

Note You need to log in before you can comment on or make changes to this bug.